Name:		fldigi
Version:	3.10
Release:	3%{?dist}
Summary:	Digital modem program for Linux

Group:		Applications/Communications
License:	GPLv2+	
URL:		http://www.w1hkj.com/fldigi-distro/
Source0:	http://www.w1hkj.com/fldigi-distro/%{name}-%{version}.tar.gz
# The package should be updated to current, patch re-diffed and send upstream!
Patch0:		%{name}-gcc44.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hamlib-devel, fltk-devel, libjpeg-devel, libpng-devel
BuildRequires:  portaudio-devel >= 19-4, libsndfile-devel , desktop-file-utils
BuildRequires:	libsamplerate-devel

%description
fldigi is a modem program which supports most of the digital modes used by 
hamradio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurment test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI.

%prep
%setup -q
%patch0

%build
%configure
make -k %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/fldigi.desktop
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/pixmaps/*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop

%changelog
* Sat Apr 25 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 3.10-3
- Fix FTBFS: added fldigi-gcc44.patch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Randall J Berry 'Dp67' <dp67@fedoraproject.org> 3.10-1
- New upstream release
* Thu Dec 14 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> 3.03-1
- New upstream release
- Remove explicit libsamplerate dependency
* Fri Aug 22 2008 Steve Conklin <fedora@conklinhouse.com> - 3.01-1
- Latest upstream
* Mon Apr  7 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.3-1
- Latest upstream - Bug fix for memory leak in psk signal evaluator.
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-2
- Added requirement for libsamplerate
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-1
- bugfix release from upstream
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10-1
- New upstream version
* Sat Feb 16 2008 Steve Conklin <sconklin at redhat dot com> 2.09-3
- adding desktop-file-install
* Thu Feb 14 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 2.09-2
- Submitting for Review
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.09-1
- New upstream 2.09 add mutistream decode.
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.08-3
- Added desktop file and inclued final upstream release of 2.08
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-2
- added buildrequires for libjpeg-devel, libpng-devel
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-1
- Rebase to 2.08b beta for upcoming release
* Wed Dec 12 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-
- Require most recent portaudio
* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-1
- Add BRs
- New release
- Update License
- Add files list
* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 2.04-1
- Initial SPEC

